MONGOC_CURSOR_SET_BATCH_SIZE(3)

NAME
mongoc_cursor_set_batch_size - mongoc_cursor_set_batch_size()

SYNOPSIS

        void
        mongoc_cursor_set_batch_size (mongoc_cursor_t *cursor, uint32_t batch_size);

PARAMETERS

    •   cursor: A mongoc_cursor_t.

    •   batch_size: The requested number of documents per batch.

DESCRIPTION

Limits the number of documents returned in one batch. Each batch requires a round trip to the server. If the batch size is zero, the cursor uses the server-defined maximum batch size.

See Cursor Batches in the MongoDB Manual.

This is not applicable to all cursors. Calling mongoc_cursor_set_batch_size on a cursor returned by mongoc_client_find_databases_with_opts, mongoc_database_find_collections_with_opts, or mongoc_collection_find_indexes_with_opts will not change the results.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc